Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.actions.desktop
Class WheelScrollZoomAction

    java.lang.Object
      com.maryanovsky.map.client.actions.MapAction<HasAllWheelScrollHandlers>
          com.maryanovsky.map.client.actions.desktop.WheelScrollZoomAction

All Implemented Interfaces:
  EventHandler, WheelScrollDownHandler, WheelScrollUpHandler

    public class WheelScrollZoomAction

extends MapAction<HasAllWheelScrollHandlers>
implements WheelScrollUpHandler, WheelScrollDownHandler

Zooms the map in when the user scrolls the mouse-wheel up and zooms it out when he scrolls the mouse-wheel down.

Author:
  Maryanovsky Alexander

Field Summary

Fields inherited from class com.maryanovsky.map.client.actions.MapAction
`isAnimated, mapWidget`

Constructor Summary
`WheelScrollZoomAction(MapWidget mapWidget, boolean isAnimated)` Creates a new `WheelScrollZoomAction` for panning the specified map widget.

Method Summary
`void` | `onWheelScrollDown(WheelScrollDownEvent evt)` Invoked when the mouse wheel is scrolled down.
`void` | `onWheelScrollUp(WheelScrollUpEvent evt)` Invoked when the mouse wheel is scrolled up.
`HandlerRegistration` | `registerWith(HasAllWheelScrollHandlers wheelScrollSource)` Registers for handling wheel-scroll events from the specified source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WheelScrollZoomAction

    public WheelScrollZoomAction(MapWidget mapWidget,
                                 boolean isAnimated)

  Creates a new `WheelScrollZoomAction` for panning the specified map widget.

  Parameters:
    `mapWidget` - The target map widget.
    `isAnimated` - Whether the zoom transition is animated.

Method Detail

### registerWith

    public HandlerRegistration registerWith(HasAllWheelScrollHandlers wheelScrollSource)

  Registers for handling wheel-scroll events from the specified source.

  Specified by:
    `registerWith` in class `MapAction<HasAllWheelScrollHandlers>`

### onWheelScrollUp

    public void onWheelScrollUp(WheelScrollUpEvent evt)

  Invoked when the mouse wheel is scrolled up.

  Specified by:
    `onWheelScrollUp` in interface `WheelScrollUpHandler`

### onWheelScrollDown

    public void onWheelScrollDown(WheelScrollDownEvent evt)

  Invoked when the mouse wheel is scrolled down.

  Specified by:
    `onWheelScrollDown` in interface `WheelScrollDownHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD